### Constructor

# Foundry TerminalLauncher new

#### Declaration [src]

    FoundryTerminalLauncher*
    foundry_terminal_launcher_new (
      FoundryCommand* command,
      const char* const* override_environment
    )

#### Description

No description available.

#### Parameters

`command`

  Type: `FoundryCommand`

  No description available.

  The data is owned by the caller of the function.

`override_environment`

  Type: `const char* const*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryTerminalLauncher`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.